package sprzedaz.strumieniowo;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class P4_Grupowanie_v2 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        
        Map<String, Double> mapa = transakcje.stream()
                .collect(Collectors.groupingBy(Transakcja::getMiasto,
                        Collectors.summingDouble(Transakcja::getWartoscDouble)));
        
        mapa.forEach((miasto, suma) -> System.out.println(miasto + ": " + suma));
    }

}
